import logging, logging.handlers
from django.conf import settings

# Singleton
LOGGING_INITIATED = False

def init_logging():
    logger = logging.getLogger('mainlogger')
    logger.setLevel(logging.DEBUG)

    handler = logging.handlers.TimedRotatingFileHandler(settings.LOG_FILENAME, when = 'midnight')
    formatter = logging.Formatter(settings.LOG_MSG_FORMAT)
    handler.setFormatter(formatter)
    logger.addHandler(handler)

if not LOGGING_INITIATED:
    LOGGING_INITIATED = True
    init_logging()
