from django.http import HttpResponse
from django.shortcuts import render_to_response, redirect
from collect.models import *
from django.views.decorators.cache import cache_page
import log
import logging

logger = logging.getLogger('mainlogger')

# This is completely? static .. cache it aggresively (currently caching through nginx)
# @cache_page(60 * 15)
def mapview(request):
    return render_to_response('gmap.html')

# Caching results in user not seeing his own city (sux), only cache under heavy load for 1 min
# @cache_page(60 * 1)
def dynaJS(request):
    countries = Country.objects.all()
    cities    = City.objects.all()
    # TODO: If we ever get really popular, lets cache the above queries heavily (low level api)
    # and get the current user's city/country then pass those as well to the template
    # and use template magic to concat them together, so the user sees his city immediately
    # while the above expensive? queries are cached
    # The user's city/country can be cached in the "hit" view using the low level api (IP as key)
    logger.debug( 'Generating dynajs for Client IP %s' % (request.META['REMOTE_ADDR']) )
    return render_to_response('dynajs.js', locals(), mimetype="text/javascript")
